# coding: utf-8

from __future__ import annotations
from datetime import date, datetime  # noqa: F401

import re  # noqa: F401
from typing import Any, Dict, List, Optional  # noqa: F401

from pydantic import AnyUrl, BaseModel, EmailStr, Field, validator  # noqa: F401
from openapi_server.models.juice import Juice


class JuiceDB(BaseModel):
    """NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).

    Do not edit the class manually.

    JuiceDB - a model defined in OpenAPI

        id: The id of this JuiceDB.
        juice: The juice of this JuiceDB.
    """

    id: str = Field(alias="id")
    juice: Juice = Field(alias="juice")

JuiceDB.update_forward_refs()
